Subject: Re: bug#73455: 30.0.91: find buffer pretty print columns don't line up on 1080p

From: Van Ly <[email-masked]>
Date: Wed, 25 Sep 2024 15:36:58 +0000

Eli Zaretskii <[email-masked]> writes:

>
>                                   Emacs does not realign the columns
> in the output of the Find command, it uses the output as-is.  Since
> you are on NetBSD, I'm guessing that your Find command is not GNU
> Find, and it probably doesn't guarantee that the columns are aligned.
> I think I see in the GNU Find code which tries to handle this case, so
> maybe you could install GNU Find and try with that.
>

The GNU findutils package offers pkg/gnu/bin/find and pkg/bin/gfind as
follows, and the column alignment is correct in the GNU find.  Emacs
doesn't seem to have a configuration option to override the system's
find with gfind from GNU.

Placing in PATH /usr/pkg/gnu/bin:/usr/pkg/bin:/usr/bin has the potential
to knock-on unwanted side-effects where tools prefer the base system
commands. An example would be make and gmake.

 1 $ pkgin pkg-content findutils
 2 Information for https://cdn.netbsd.org/pub/pkgsrc/packages/NetBSD/x86_64/10.0_2024Q2/All/findutils-4.9.0.tgz:
 3 Files:
 4 /usr/pkg/bin/gfind
 5 /usr/pkg/bin/glocate
 6 /usr/pkg/bin/gupdatedb
 7 /usr/pkg/bin/gxargs
 8 /usr/pkg/gnu/bin/find
 9 /usr/pkg/gnu/bin/locate
10 /usr/pkg/gnu/bin/updatedb
11 /usr/pkg/gnu/bin/xargs

-- 
vl